package org.phosphoresce.commons.wpoi.test.util;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.phosphoresce.commons.wpoi.test.model.Company;
import org.phosphoresce.commons.wpoi.test.model.Employee;
import org.phosphoresce.commons.wpoi.test.model.Project;
import org.phosphoresce.commons.wpoi.test.model.Role;
import org.phosphoresce.commons.wpoi.test.model.Section;

/**
 * TvNX<br>
 * Tvf[^ft@NgNX<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * XV       XV          XVe
 * 2005/12/07	Kitagawa		VK쐬
 *-->
 */
public final class SampleModelFactory {

	public static Company createSampleCompany() throws Exception {
		// Ѓf쐬
		Company company = new Company("100", "{", "Ђ");

		// 僂f
		Section section1 = new Section("01", "JA");
		Section section2 = new Section("02", "JB");
		Section section3 = new Section("03", "A");
		Section section4 = new Section("04", "B");
		Section section5 = new Section("05", "p~A");
		Section section6 = new Section("06", "p~B");
		section5.setDeleteDate(new Date());
		section6.setDeleteDate(new Date());

		// f
		Role role1 = new Role(new Long(1), "ʎЈ");
		Role role2 = new Role(new Long(2), "[_[");
		Role role3 = new Role(new Long(3), "}l[W");
		Role role4 = new Role(new Long(4), "C");

		// Јf
		Employee employee1 = new Employee("00001", "RcY", Employee.SEX_MALE, "ސEЈ(}l[W)", new Long(4500));
		Employee employee2 = new Employee("00002", "RcY", Employee.SEX_MALE, "JAƌBɏЈ(}l[W)", new Long(7000));
		Employee employee3 = new Employee("00003", "RcY", Employee.SEX_MALE, "JBɂ̂ݏЈ([_[)", new Long(5500));
		Employee employee4 = new Employee("00004", "RcOY", Employee.SEX_MALE, "JBƔp~ꂽp~AɏĂЈ(ʎЈ)", new Long(4500));
		Employee employee5 = new Employee("00005", "RclY", Employee.SEX_FEMALE, "p~AɏĂݏȂЈ(ʎЈ)", new Long(4500));
		Employee employee6 = new Employee("00006", "RcԎq", Employee.SEX_FEMALE, "Bɂ̂ݏЈ([_[)", new Long(5500));
		Employee employee7 = new Employee("00007", "RcԎ", Employee.SEX_FEMALE, "AƌBɏЈ(ʎЈ)", new Long(4500));
		Employee employee8 = new Employee("00008", "RcԎ}", Employee.SEX_FEMALE, "JAƊJBɏЈ(ݒȂ)", new Long(4500));
		Employee employee9 = new Employee("00009", "RcԐ", Employee.SEX_FEMALE, "傪ȂЈ(C)", new Long(3500));
		employee1.setDeleteDate(new Date());

		// vWFNgf
		Project project1 = new Project("PJ001", "vWFNgA");
		Project project2 = new Project("PJ002", "vWFNgB");
		Project project3 = new Project("PJ003", "vWFNgC");

		// vWFNgݒ肷
		project1.setManager(employee2);
		project1.setStartDate(new SimpleDateFormat("yyyyMMdd").parse("20060101"));
		project1.setFinishDate(new SimpleDateFormat("yyyyMMdd").parse("20060131"));
		project1.setClosed(true);
		project1.setBudget(new Long(1200000));
		project1.addMember(employee1);
		project1.addMember(employee2);
		project1.addMember(employee3);
		project1.addSection(section1);
		project2.setManager(employee2);
		project2.setStartDate(new SimpleDateFormat("yyyyMMdd").parse("20060401"));
		project2.setFinishDate(new SimpleDateFormat("yyyyMMdd").parse("20060501"));
		project2.setClosed(false);
		project2.setBudget(new Long(1500000));
		project2.addMember(employee4);
		project2.addMember(employee5);
		project2.addMember(employee6);
		project2.addSection(section2);
		project3.setManager(employee2);
		project3.setStartDate(new SimpleDateFormat("yyyyMMdd").parse("20060501"));
		project3.setFinishDate(new SimpleDateFormat("yyyyMMdd").parse("20061025"));
		project3.setClosed(false);
		project3.setBudget(new Long(10200000));
		project3.addMember(employee1);
		project3.addMember(employee2);
		project3.addMember(employee3);
		project3.addMember(employee4);
		project3.addMember(employee5);
		project3.addMember(employee6);
		project3.addMember(employee7);
		project3.addMember(employee8);
		project3.addMember(employee9);
		project3.addSection(section1);
		project3.addSection(section2);
		project3.addSection(section3);
		project3.addSection(section4);

		// ЈɌfZbg
		employee1.setRole(role3);
		employee2.setRole(role3);
		employee3.setRole(role2);
		employee4.setRole(role1);
		employee5.setRole(role1);
		employee6.setRole(role2);
		employee7.setRole(role1);
		employee8.setRole(null);
		employee9.setRole(role4);

		// ɎЈ
		section1.addEmployee(employee2);
		section1.addEmployee(employee8);
		section2.addEmployee(employee3);
		section2.addEmployee(employee4);
		section2.addEmployee(employee8);
		section3.addEmployee(employee7);
		section4.addEmployee(employee2);
		section4.addEmployee(employee6);
		section4.addEmployee(employee7);
		section5.addEmployee(employee4);
		section5.addEmployee(employee5);

		// Ђɕݒ肷
		company.addSection(section1);
		company.addSection(section2);
		company.addSection(section3);
		company.addSection(section4);
		company.addSection(section5);
		company.addSection(section6);

		// ЂɃvWFNgݒ肷
		company.addProject(project1);
		company.addProject(project2);
		company.addProject(project3);

		return company;
	}
}
